Bug 85340 - Installer crashed after mouse probing
Installer crashed after mouse probing
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-28 05:31 EST by Mik Bezr
Modified: 2007-04-18 12:51 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-22 12:31:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mik Bezr 2003-02-28 05:31:01 EST
Traceback (most recent call last):


  File "/usr/bin/anaconda", line 694, in ?


    intf.run(id, dispatch, configFileData)


  File "/usr/src/build/148651-i386/install//usr/lib/anaconda/text.py", line 425, 
in run


  File 
"/usr/src/build/148651-i386/install//usr/lib/anaconda/textw/mouse_text.py", line 
106, in __call__


TypeError: unsubscriptable object




Local variables in innermost frame:


newDev: None


c: <snack.Checkbox instance at 0x8378e74>


bb: <snack.ButtonBar instance at 0x837628c>


g: <snack.GridFormHelp instance at 0x837723c>


default: 6


button: ok


l: <snack.Listbox instance at 0x8375574>


choice: 36


self: <mouse_text.MouseWindow instance at 0x8376264>


emulate: 0


oldDev: ttyS1


amouse: Sun - Mouse


t: <snack.TextboxReflowed instance at 0x837c084>


key: 38


rc: <snack.Button instance at 0x8246c4c>


mice: ['ALPS - GlidePoint (PS/2)', 'ASCII - MieMouse (PS/2)', 'ASCII - MieMouse 
(serial)', 'ATI - Bus Mouse', 'Generic - 2 Button Mouse (PS/2)', 'Generic - 2 
Button Mouse (USB)', 'Generic - 2 Button Mouse (serial)', 'Generic - 3 Button 
Mouse (PS/2)', 'Generic - 3 Button Mouse (USB)', 'Generic - 3 Button Mouse 
(serial)', 'Generic - Wheel Mouse (PS/2)', 'Generic - Wheel Mouse (USB)', 
'Genius - NetMouse (PS/2)', 'Genius - NetMouse (serial)', 'Genius - NetMouse Pro 
(PS/2)', 'Genius - NetScroll (PS/2)', 'Genius - NetScroll+ (PS/2)', 'Kensington 
- Thinking Mouse (PS/2)', 'Kensington - Thinking Mouse (serial)', 'Logitech - 
Bus Mouse', 'Logitech - C7 Mouse (serial, old C7 type)', 'Logitech - CC Series 
(serial)', 'Logitech - MouseMan Wheel (USB)', 'Logitech - MouseMan+/FirstMouse+ 
(PS/2)', 'Logitech - MouseMan+/FirstMouse+ (serial)', 'Logitech - 
MouseMan/FirstMouse (PS/2)', 'Logitech - MouseMan/FirstMouse (serial)', 'MM - 
HitTablet (serial)', 'MM - Series (serial)', 'Microsoft - Bus Mouse', 'Microsoft 
- Compatible Mouse (serial)', 'Microsoft - IntelliMouse (PS/2)', 'Microsoft - 
IntelliMouse (USB)', 'Microsoft - IntelliMouse (serial)', 'Microsoft - Rev 2.1A 
or higher (serial)', 'Mouse Systems - Mouse (serial)', 'No - mouse', 'Sun - 
Mouse']


mouse: FULLNAME="No - mouse"


MOUSETYPE="none"


XEMU3="no"


XMOUSETYPE="none"




screen: <snack.SnackScreen instance at 0x8373bc4>






Dispatcher instance, containing members:


method: UrlInstallMethod instance, containing members:


  multiDiscs: 0


  rootPath: /mnt/sysimage


  pkgUrl: 
ftp://mig:%64%6a%70%74%68%74%72%65%67%66%6b%62%63%6d@192.168.111.4/distr


  baseUrl: 
ftp://mig:%64%6a%70%74%68%74%72%65%67%66%6b%62%63%6d@192.168.111.4/distr


step: 4


intf: InstallInterface instance, containing members:


  instLanguage: InstallTimeLanguage instance, containing members:


    current: en_US


    map: {'Swedish': iso15, 'Danish': iso15, 'Icelandic': iso15, 
'Chinese(Simplified)': None, 'Norwegian': iso15, 'German': iso09, 'Dutch': 
iso15, 'Slovenian': iso02, 'Japanese': None, 'French': iso15, 'Czech': iso02, 
'Portuguese': iso15, 'Ukrainian': koi8-u, 'Spanish': iso15, 'English': iso01, 
'Russian': koi8-r, 'Korean': None, 'Chinese(Traditional)': None, 'Italian': 
iso15}


    tempDefault: 


    nativeLangNames: {}


    langList: [Chinese(Simplified), Chinese(Traditional), Czech, Danish, Dutch, 
English, French, German, Icelandic, Italian, Japanese, Korean, Norwegian, 
Portuguese, Russian, Slovenian, Spanish, Swedish, Ukrainian]


    langNicks: {'Swedish': sv_SE, 'Danish': da_DK, 'Icelandic': is_IS, 
'Chinese(Simplified)': zh_CN.GB18030, 'Norwegian': no_NO, 'German': de_DE, 
'Dutch': nl_NL, 'Slovenian': sl_SI, 'Japanese': ja_JP.eucJP, 'French': fr_FR, 
'Czech': cs_CZ, 'Portuguese': pt_PT@euro, 'Ukrainian': uk_UA, 'Spanish': es_ES, 
'English': en_US, 'Russian': ru_RU.koi8r, 'Korean': ko_KR.eucKR, 
'Chinese(Traditional)': zh_TW.Big5, 'Italian': it_IT}


    font: {'Swedish': lat0-sun16, 'Danish': lat0-sun16, 'Icelandic': lat0-sun16, 
'Chinese(Simplified)': None, 'Norwegian': lat0-sun16, 'German': lat0-16, 
'Dutch': lat0-sun16, 'Slovenian': lat2-sun16, 'Japanese': Kon, 'French': 
lat0-sun16, 'Czech': lat2-sun16, 'Portuguese': lat0-sun16, 'Ukrainian': 
cyr-sun16, 'Spanish': lat0-sun16, 'English': default8x16, 'Russian': cyr-sun16, 
'Korean': None, 'Chinese(Traditional)': None, 'Italian': lat0-sun16}


    kbd: {'Swedish': se-latin1, 'Danish': us, 'Icelandic': is-latin1, 
'Chinese(Simplified)': us, 'Norwegian': no-latin1, 'German': 
de-latin1-nodeadkeys, 'Dutch': nl, 'Slovenian': slovene, 'Japanese': jp106, 
'French': fr-latin1, 'Czech': cz-lat2, 'Portuguese': pt-latin1, 'Ukrainian': ua, 
'Spanish': es, 'English': us, 'Russian': ru, 'Korean': us, 
'Chinese(Traditional)': us, 'Italian': it}


    tz: {'Swedish': Europe/Stockholm, 'Danish': Europe/Copenhagen, 'Icelandic': 
Atlantic/Reykjavik, 'Chinese(Simplified)': Asia/Shanghai, 'Norwegian': 
Europe/Oslo, 'German': Europe/Berlin, 'Dutch': Europe/Amsterdam, 'Slovenian': 
Europe/Ljubljana, 'Japanese': Asia/Tokyo, 'French': Europe/Paris, 'Czech': 
Europe/Prague, 'Portuguese': Europe/Lisbon, 'Ukrainian': Europe/Kiev, 'Spanish': 
Europe/Madrid, 'English': America/New_York, 'Russian': Europe/Moscow, 'Korean': 
Asia/Seoul, 'Chinese(Traditional)': Asia/Taipei, 'Italian': Europe/Rome}


  langSearchPath: [en_US, en, C]


  showingHelpOnHelp: 0


  welcomeText: Red Hat Linux (C) 2002 Red Hat, Inc.


  screen: SnackScreen instance, containing members:


    width: 80


    helpCb: <bound method InstallInterface.helpWindow of <text.InstallInterface 
instance at 0x8411704>>


    height: 25


  configFileData: {'TitleBar': pixmaps/anaconda_header.png, 'Title': Red Hat 
Linux Beta, 'Splashscreen': pixmaps/first.png, 'WelcomeScreen': 
pixmaps/splash.png}


flags: Flags instance, containing members:


  flags: {'test': 0, 'setupFilesystems': 1, 'serial': 0, 'expert': 0, 
'autostep': 0}


dispatch: Already dumped


instPath: /mnt/sysimage


firstStep: 0


id: InstallData instance, containing members:


  compspkg: None


  dbpath: None


  firewall: Firewall instance, containing members:


    ftp: 0


    http: 0


    portlist: 


    enabled: -1


    telnet: 0


    custom: 1


    ssh: 0


    policy: 1


    dhcp: 0


    smtp: 0


    trustdevs: []


    ports: []


  upgradeSwapInfo: None


  firstboot: 0


  hdList: None


  auth: Authentication instance, containing members:


    hesiodLhs: 


    useKrb5: 0


    nisuseBroadcast: 1


    useShadow: 1


    sambaServer: 


    krb5Realm: 


    nisDomain: 


    sambaWorkgroup: 


    ldapTLS: 


    useMD5: 1


    useSamba: 0


    ldapBasedn: 


    krb5Admin: 


    enableCache: 0


    useLdapauth: 0


    hesiodRhs: 


    ldapServer: 


    useHesiod: 0


    krb5Kdc: 


    useLdap: 0


    nisServer: 


    useNIS: 0


  upgradeRoot: None


  comps: None


  dependencies: []


  accounts: None


  fsset: FileSystemSet instance, containing members:


    messageWindow: <bound method InstallInterface.messageWindow of 
<text.InstallInterface instance at 0x8411704>>


    waitWindow: <bound method InstallInterface.waitWindow of 
<text.InstallInterface instance at 0x8411704>>


    mountcount: 0


    entries: [fsentry -- device: none   mountpoint: /dev/pts


           fsystem: devpts format: 0




, fsentry -- device: none   mountpoint: /proc


           fsystem: proc format: 0




]


    progressWindow: <bound method InstallInterface.progressWindow of 
<text.InstallInterface instance at 0x8411704>>


    migratedfs: 0


  keyboard: Keyboard instance, containing members:


    info: {'KEYBOARDTYPE': pc, 'KEYTABLE': us}


    modelDict: {'gr': ['Greek', 'el', 'pc102', ''], 'speakup': ['Speakup', 'us', 
'pc105', ''], 'ru-cp1251': ['Russian (cp1251)', 'ru', 'pc102', ''], 
'speakup-lt': ['Speakup (laptop)', 'us', 'pc105', ''], 'cf': ['French Canadian', 
'ca_enhanced', 'pc102', ''], 'se-latin1': ['Swedish', 'se', 'pc102', ''], 
'fr_CH-latin1': ['Swiss French (latin1)', 'fr_CH', 'pc102', ''], 'fr-pc': 
['French (pc)', 'fr', 'pc102', ''], 'ru-ms': ['Russian (Microsoft)', 'ru', 
'pc102', ''], 'sk-qwerty': ['Slovakian', 'sk_qwerty', 'pc102', ''], 'ru2': 
['Russian (ru2)', 'ru', 'pc102', ''], 'et': ['Estonian', 'ee', 'pc102', ''], 
'ru1': ['Russian (ru1)', 'ru', 'pc102', ''], 'es': ['Spanish', 'es', 'pc102', 
''], 'it-ibm': ['Italian (IBM)', 'it', 'pc102', ''], 'ru': ['Russian', 'ru', 
'pc102', ''], 'fr-latin1': ['French (latin1)', 'fr', 'pc102', ''], 'no': 
['Norwegian', 'no', 'pc102', ''], 'de-latin1-nodeadkeys': ['German (latin1 w/ no 
deadkeys)', 'de', 'pc102', 'nodeadkeys'], 'ru_win': ['Russian (win)', 'ru', 
'pc105', ''], 'ua': ['Ukrainian', 'ua', 'pc102', ''], 'pt-latin1': 
['Portuguese', 'pt', 'pc102', ''], 'it': ['Italian', 'it', 'pc102', ''], 
'de-latin1': ['German (latin1)', 'de', 'pc102', ''], 'fr': ['French', 'fr', 
'pc102', ''], 'pl': ['Polish', 'pl', 'pc102', ''], 'cz-lat2': 
['Czechoslovakian', 'cz', 'pc102', ''], 'dk-latin1': ['Denmark (latin1)', 'dk', 
'pc102', ''], 'bg': ['Bulgarian', 'bg', 'pc102', ''], 'dk': ['Denmark', 'dk', 
'pc102', ''], 'be-latin1': ['Belgian (be-latin1)', 'be', 'pc102', ''], 
'sg-latin1': ['Swiss German (latin1)', 'de_CH', 'pc102', ''], 'fr-latin0': 
['French (latin0)', 'fr', 'pc102', ''], 'de': ['German', 'de', 'pc102', ''], 
'hu': ['Hungarian', 'hu', 'pc102', ''], 'jp106': ['Japanese', 'jp', 'jp106', 
''], 'us-acentos': ['U.S. International', 'us_intl', 'pc105', ''], 'fr_CH': 
['Swiss French', 'fr_CH', 'pc102', ''], 'fi': ['Finnish', 'fi', 'pc102', ''], 
'dvorak': ['Dvorak', 'dvorak', 'pc105', ''], 'it2': ['Italian (it2)', 'it', 
'pc102', ''], 'fi-latin1': ['Finnish (latin1)', 'fi', 'pc102', ''], 'ro_win': 
['Romanian', 'ro', 'pc102', ''], 'hu101': ['Hungarian (101 key)', 'hu', 'pc102', 
''], 'slovene': ['Slovenian', 'si', 'pc102', ''], 'br-abnt2': ['Brazilian 
(ABNT2)', 'br', 'abnt2', ''], 'us': ['U.S. English', 'us', 'pc105', ''], 
'no-latin1': ['Norwegian (latin1)', 'no', 'pc102', ''], 'is-latin1': ['Iceland', 
'is', 'pc102', ''], 'cz-us-qwertz': ['Czechoslovakian (qwertz)', 'cz', 'pc102', 
''], 'uk': ['United Kingdom', 'gb', 'pc101', ''], 'trq': ['Turkish', 'tr', 
'pc102', ''], 'sg': ['Swiss German', 'de_CH', 'pc102', '']}


    type: PC


    beenset: 0


  timezone: Timezone instance, containing members:


    utc: 0


    utcOffset: 0


    arc: 0


    tz: None


    dst: 0


  bootloader: x86BootloaderInfo instance, containing members:


    kickstart: 0


    doUpgradeOnly: 0


    useLinear: 1


    defaultDevice: None


    useGrubVal: 1


    args: KernelArguments instance, containing members:


      args: 


    kernelLocation: /boot/


    images: BootImages instance, containing members:


      default: None


      images: {}


    configfile: /etc/lilo.conf


    above1024: 0


    serialOptions: None


    pure: None


    serialDevice: None


    device: None


    drivelist: [hda, hdb]


    serial: 0


    password: None


    forceLBA32: 0


  mouse: FULLNAME="No - mouse"


MOUSETYPE="none"


XEMU3="no"


XMOUSETYPE="none"




  extraModules: []


  network: Network instance, containing members:


    domains: []


    isConfigured: 1


    overrideDHCPhostname: 0


    netdevices: {'eth1': DEVICE=eth1


BOOTPROTO=static


IPADDR=192.168.111.5


NETMASK=255.255.255.0


ONBOOT=yes




}


    primaryNS: 192.168.111.1


    hostname: localhost.localdomain


    secondaryNS: 


    gateway: 192.168.111.1


    ternaryNS: 


  instClass: DefaultInstall instance, containing members:


  upgrade: Boolean instance, containing members:


    val: 0


  monitor: monName: None


monID: Unprobed Monitor


fbmonSect: 


monHoriz: 31.5-48.5


monVert: 50-70


physicalWidth: 0


physicalHeight: 0




  xconfig: XF86Config instance, containing members:


    files: 


# The location of the RGB database.  Note, this is the name of the


# file minus the extension (like ".txt" or ".db").  There is normally


# no need to change the default.




    RgbPath	"/usr/X11R6/lib/X11/rgb"




# Multiple FontPath entries are allowed (they are concatenated together)


# By default, Red Hat 6.0 and later now use a font server independent of


# the X server to render fonts.




    FontPath   "unix/:7100"




    fallbackModes: {'16': ['800x600']}


    monitor: Already dumped


    forcedDPI: None


    res: 800x600


    keyboard: Already dumped


    videocard: device: None


descr : S3 Inc.|86c764/765 [Trio32/64/64V+]


server: XFree86


cardManf: None


vidRam: 2048


carddata: {'': '', 'NAME': 'S3 Trio64 (generic)', 'NOCLOCKPROBE': '', 'CHIPSET': 
'S3 Trio64', 'DRIVER': 's3', 'SERVER': 'S3'}


devID: S3 Trio64 (generic)


fbmodes: None


fbbpp: None




    manualModes: {}


    skipx: 0


    skip: 0


    device: None


    monids: {}


    mouse: Already dumped


    monlist: {}


    modes: {'16': ['800x600']}


  floppyDevice: fd0


  methodstr: 
ftp://mig:%64%6a%70%74%68%74%72%65%67%66%6b%62%63%6d@192.168.111.4//distr


  videocard: primary: 0


vidCards: [<rhpl.videocard.VideoCard instance at 0x838a28c>]


Primary Video Card Info:


device: None


descr : S3 Inc.|86c764/765 [Trio32/64/64V+]


server: XFree86


cardManf: None


vidRam: 2048


carddata: {'': '', 'NAME': 'S3 Trio64 (generic)', 'NOCLOCKPROBE': '', 'CHIPSET': 
'S3 Trio64', 'DRIVER': 's3', 'SERVER': 'S3'}


devID: S3 Trio64 (generic)


fbmodes: None


fbbpp: None




  desktop: Desktop instance, containing members:


    info: {}


    runlevel: 3


  instLanguage: Already dumped


  tmpData: {'TitleBar': pixmaps/anaconda_header.png, 'Title': Red Hat Linux 
Beta, 'Splashscreen': pixmaps/first.png, 'WelcomeScreen': pixmaps/splash.png}


  diskset: DiskSet instance, containing members:


    disks: {}


  rootPassword: None


  handleDeps: 0


  langSupport: Language instance, containing members:


    info: {'SUPPORTED': None}


    langInfoByName: {'Manx Gaelic (Britain)': ('gv_GB.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Icelandic': ('is_IS.UTF-8', 'utf8', 'latarcyrheb-sun16'), 
'Arabic (Sudan)': ('ar_SD.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Estonian': 
('et_EE.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Turkish': ('tr_TR.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Catalan (Spain)': ('ca_ES.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'English (Australia)': ('en_AU.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'English (Hong Kong)': ('en_HK.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'German (Switzerland)': ('de_CH.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Spanish (Nicaragua)': ('es_NI.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Spanish (Uruguay)': ('es_UY.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Slovenian (Slovenia)': ('sl_SI.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'German (Germany)': ('de_DE.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'English (Canada)': ('en_CA.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'French (Canada)': ('fr_CA.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Spanish (Dominican Republic)': ('es_DO.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Arabic (Saudi Arabia)': ('ar_SA.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Swedish (Finland)': ('sv_FI.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'French (Luxemburg)': ('fr_LU.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Tagalog (Philipines)': ('tl_PH', 'iso15', 'lat0-sun16'), 
'Dutch (Netherlands)': ('nl_NL.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Uzbek 
(Uzbekistan)': ('uz_UZ', 'iso15', 'lat0-sun16'), 'English (Ireland)': 
('en_IE.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Arabic (Egypt)': ('ar_EG.UTF-8', 
'utf8', 'latarcyrheb-sun16'), 'Hungarian': ('hu_HU.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Basque (Spain)': ('eu_ES.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Chinese (Hong Kong)': ('zh_HK.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Arabic (Yemen)': ('ar_YE.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Lithuanian': ('lt_LT.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Arabic (Bahrein)': ('ar_BH.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Breton (France)': ('br_FR', 'iso15', 'lat0-sun16'), 
'English (Zimbabwe)': ('en_ZW.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Ukrainian': 
('uk_UA.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Norwegian, Nynorsk (Norway)': 
('nn_NO.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Russian': ('ru_RU.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Serbian (Yugoslavia)': ('sr_YU.UTF-8@cyrillic', 'utf8', 
'latarcyrheb-sun16'), 'English (Botswana)': ('en_BW.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Spanish (Venezuela)': ('es_VE.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Spanish (Chile)': ('es_CL.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Dutch (Belgium)': ('nl_BE.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Arabic (Iraq)': ('ar_IQ.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Swedish (Sweden)': ('sv_SE.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Russian (Ukraine)': ('ru_UA.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Finnish': ('fi_FI.UTF-8', 'utf8', 'latarcyrheb-sun16'), 
'Occitan (France)': ('oc_FR', 'iso15', 'lat0-sun16'), 'Albanian': 
('sq_AL.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'German (Luxemburg)': 
('de_LU.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'German (Belgium)': 
('de_BE.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Spanish (USA)': ('es_US.UTF-8', 
'utf8', 'latarcyrheb-sun16'), 'Italian (Switzerland)': ('it_CH.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Arabic (Jordan)': ('ar_JO.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Urdu (Pakistan)': ('ur_PK', 'utf8', 'latarcyrheb-sun16'), 
'Irish': ('ga_IE.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'English (Singapore)': 
('en_SG.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'English (Great Britain)': 
('en_GB.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Arabic (Syrian Arab Republic)': 
('ar_SY.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Chinese (P.R. of China)': 
('zh_CN.GB18030', 'iso15', 'lat0-sun16'), 'Belarusian': ('be_BY.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Spanish (Spain)': ('es_ES.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Macedonian': ('mk_MK.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Slovak': ('sk_SK.UTF-8', 'utf8', 'latarcyrheb-sun16'), 
'Polish': ('pl_PL.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Portuguese (Brasil)': 
('pt_BR.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Spanish (Panama)': 
('es_PA.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Spanish (Puerto Rico)': 
('es_PR.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'English (USA)': ('en_US.UTF-8', 
'utf8', 'latarcyrheb-sun16'), 'Hebrew (Israel)': ('he_IL.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Hindi (India)': ('hi_IN', 'utf8', 'latarcyrheb-sun16'), 
'Romanian': ('ro_RO.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'English (Denmark)': 
('en_DK.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Telgu (India)': ('te_IN', 'utf8', 
'latarcyrheb-sun16'), 'Arabic (United Arab Emirates)': ('ar_AE.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Cornish (Britain)': ('kw_GB.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Spanish (Bolivia)': ('es_BO.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'English (New Zealand)': ('en_NZ.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Galician (Spain)': ('gl_ES.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Latvian (Latvia)': ('lv_LV.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Czech': ('cs_CZ.UTF-8', 'utf8', 'latarcyrheb-sun16'), 
'Danish': ('da_DK.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Indonesian': 
('id_ID.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Arabic (Algeria)': 
('ar_DZ.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'English (Philippines)': 
('en_PH.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Arabic (India)': ('ar_IN', 
'utf8', 'latarcyrheb-sun16'), 'Persian (Iran)': ('fa_IR', 'utf8', 
'latarcyrheb-sun16'), 'Arabic (Morocco)': ('ar_MA.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Norwegian': ('no_NO.UTF-8', 'utf8', 'latarcyrheb-sun16'), 
'Afrikaans (South Africa)': ('af_ZA', 'iso15', 'lat0-sun16'), 'Spanish 
(Paraguay)': ('es_PY.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Faroese (Faroe 
Islands)': ('fo_FO.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Bosnian (Bosnia and 
Herzegowina)': ('bs_BA', 'iso02', 'lat2-sun16'), 'Arabic (Lebanon)': 
('ar_LB.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Thai': ('th_TH.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Spanish (Costa Rica)': ('es_CR.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Arabic (Tunisia)': ('ar_TN.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Northern Saami (Norway)': ('se_NO', 'utf8', 
'latarcyrheb-sun16'), 'English (India)': ('en_IN', 'utf8', 'latarcyrheb-sun16'), 
'Chinese (Taiwan)': ('zh_TW.Big5', 'iso15', 'lat0-sun16'), 'Spanish (Honduras)': 
('es_HN.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Spanish (Ecuador)': 
('es_EC.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Spanish (El Salvador)': 
('es_SV.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Greek': ('el_GR.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Spanish (Mexico)': ('es_MX.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Tamil (India)': ('ta_IN', 'utf8', 'latarcyrheb-sun16'), 
'Spanish (Peru)': ('es_PE.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Korean 
(Republic of Korea)': ('ko_KR.eucKR', 'iso15', 'lat0-sun16'), 'French 
(Belgium)': ('fr_BE.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Greenlandic 
(Greenland)': ('kl_GL.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'French (France)': 
('fr_FR.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Croatian': ('hr_HR.UTF-8', 
'utf8', 'latarcyrheb-sun16'), 'Marathi (India)': ('mr_IN', 'utf8', 
'latarcyrheb-sun16'), 'French (Switzerland)': ('fr_CH.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Arabic (Qatar)': ('ar_QA.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'English (South Africa)': ('en_ZA.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Arabic (Kuwait)': ('ar_KW.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Maltese (malta)': ('mt_MT.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Portuguese (Portugal)': ('pt_PT.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Japanese': ('ja_JP.eucJP', 'iso15', 'lat0-sun16'), 
'Arabic (Oman)': ('ar_OM.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Arabic (Libyan 
Arab Jamahiriya)': ('ar_LY.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Malay 
(Malaysia)': ('ms_MY.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Spanish 
(Guatemala)': ('es_GT.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'German (Austria)': 
('de_AT.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Italian (Italy)': ('it_IT.UTF-8', 
'utf8', 'latarcyrheb-sun16'), 'Spanish (Colombia)': ('es_CO.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Spanish (Argentina)': ('es_AR.UTF-8', 'utf8', 
'latarcyrheb-sun16'), 'Walloon (Belgium)': ('wa_BE@euro', 'iso15', 
'lat0-sun16')}


    langList: None


    default: None


    langNicks: None


    supported: []


    allSupportedLangs: None


  partitions: Partitions instance, containing members:


    useFdisk: 0


    useAutopartitioning: 1


    autoClearPartType: 3


    nextUniqueID: 1


    reinitializeDisks: 0


    autoClearPartDrives: None


    zeroMbr: 0


    isKickstart: 0


    requests: []


    autoPartitionRequests: []


    deletes: []


  upgradeDeps: 


  configFileData: {'TitleBar': pixmaps/anaconda_header.png, 'Title': Red Hat 
Linux Beta, 'Splashscreen': pixmaps/first.png, 'WelcomeScreen': 
pixmaps/splash.png}


  x_already_set: 0


dir: 1


skipSteps: {'upgradecontinue': 1, 'indivpackage': 1, 'findrootparts': 1, 
'findinstall': 1, 'language': 2, 'upgradeswapsuggestion': 1, 'fdasd': 2, 
'confirmupgrade': 1, 'desktopchoice': 1, 'bootloaderadvanced': 1, 'betanag': 1, 
'upgrademount': 1, 'makebootdisk': 1, 'findpackages': 1, 'keyboard': 2, 
'upgrademigfind': 1, 'addswap': 1, 'upgrademigratefs': 1, 'upgbootloader': 1}






/tmp/syslog:


<4>Linux version 2.4.18-14BOOT (bhcompile@daffy.perf.redhat.com) (gcc version 
3.2 20020903 (Red Hat Linux 8.0 3.2-7)) #1 Wed Sep 4 11:55:51 EDT 2002


<6>BIOS-provided physical RAM map:


<4> BIOS-e820: 0000000000000000 - 00000000000a0000 (usable)


<4> BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)


<4> BIOS-e820: 0000000000100000 - 0000000002000000 (usable)


<4> BIOS-e820: 00000000ffff0000 - 0000000100000000 (reserved)


<5>32MB LOWMEM available.


<4>On node 0 totalpages: 8192


<4>zone(0): 4096 pages.


<4>zone(1): 4096 pages.


<4>zone(2): 0 pages.


<4>Kernel command line: initrd=initrd.img lang= devfs=nomount ramdisk_size=9216 
BOOT_IMAGE=vmlinuz text


<4>No local APIC present or hardware disabled


<6>Initializing CPU#0


<4>Detected 187.504 MHz processor.


<4>Speakup v-1.00 CVS: Tue Jun 11 14:22:53 EDT 2002 : initialized


<4>Console: colour VGA+ 80x25


<4>Calibrating delay loop... 374.37 BogoMIPS


<6>Memory: 29116k/32768k available (1162k kernel code, 3012k reserved, 359k 
data, 176k init, 0k highmem)


<6>Dentry cache hash table entries: 4096 (order: 3, 32768 bytes)


<6>Inode cache hash table entries: 2048 (order: 2, 16384 bytes)


<6>Mount cache hash table entries: 512 (order: 0, 4096 bytes)


<7>ramfs: mounted with options: <defaults>


<7>ramfs: max_pages=3671 max_file_pages=0 max_inodes=0 max_dentries=3671


<6>Buffer cache hash table entries: 1024 (order: 0, 4096 bytes)


<4>Page-cache hash table entries: 8192 (order: 3, 32768 bytes)


<7>CPU: Before vendor init, caps: 008001bf 00000000 00000000, vendor = 0


<5>Intel Pentium with F0 0F bug - workaround enabled.


<7>CPU: After vendor init, caps: 008001bf 00000000 00000000 00000000


<7>CPU:     After generic, caps: 008001bf 00000000 00000000 00000000


<7>CPU:             Common caps: 008001bf 00000000 00000000 00000000


<4>CPU: Intel Pentium MMX stepping 03


<6>Checking 'hlt' instruction... OK.


<6>Checking for popad bug... OK.


<4>POSIX conformance testing by UNIFIX


<4>mtrr: v1.40 (20010327) Richard Gooch (rgooch@atnf.csiro.au)


<4>mtrr: detected mtrr type: none


<6>PCI: PCI BIOS revision 2.10 entry at 0xfb1b0, last bus=0


<6>PCI: Using configuration type 1


<6>PCI: Probing PCI hardware


<6>Limiting direct PCI/PCI transfers.


<6>Activating ISA DMA hang workarounds.


<4>speakup:  initialized device: /dev/synth, node (MAJOR 10, MINOR 25)


<6>Linux NET4.0 for Linux 2.4


<6>Based upon Swansea University Computer Society NET3.039


<4>Initializing RT netlink socket


<4>Starting kswapd


<6>Detected PS/2 Mouse Port.


<4>pty: 256 Unix98 ptys configured


<6>Serial driver version 5.05c (2001-07-08) with MANY_PORTS SHARE_IRQ SERIAL_PCI 
enabled


<6>ttyS0 at 0x03f8 (irq = 4) is a 16550A


<6>ttyS1 at 0x02f8 (irq = 3) is a 16550A


<4>block: 48 slots per queue, batch=12


<6>Uniform Multi-Platform E-IDE driver Revision: 6.31


<4>ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx


<4>PIIX3: IDE controller on PCI bus 00 dev 39


<4>PIIX3: chipset revision 0


<4>PIIX3: not 100% native mode: will probe irqs later


<4>    ide0: BM-DMA at 0xf000-0xf007, BIOS settings: hda:pio, hdb:pio


<4>    ide1: BM-DMA at 0xf008-0xf00f, BIOS settings: hdc:pio, hdd:pio


<4>hda: SAMSUNG WNR-31601A (1600MB), ATA DISK drive


<4>hdb: ST31277A, ATA DISK drive


<4>ide0 at 0x1f0-0x1f7,0x3f6 on irq 14


<4>blk: queue c02e7ce4, I/O limit 4095Mb (mask 0xffffffff)


<4>blk: queue c02e7ce4, I/O limit 4095Mb (mask 0xffffffff)


<6>hda: 3145968 sectors (1611 MB) w/108KiB Cache, CHS=780/64/63, DMA


<4>blk: queue c02e7e20, I/O limit 4095Mb (mask 0xffffffff)


<4>blk: queue c02e7e20, I/O limit 4095Mb (mask 0xffffffff)


<6>hdb: 2501856 sectors (1281 MB), CHS=620/64/63, DMA


<4>ide-floppy driver 0.99.newide


<6>Partition check:


<6> hda: hda1 hda2 < hda5 >


<6> hdb: hdb1


<6>Floppy drive(s): fd0 is 1.44M


<6>FDC 0 is a post-1991 82077


<6>NET4: Frame Diverter 0.46


<4>RAMDISK driver initialized: 16 RAM disks of 9216K size 1024 blocksize


<6>loop: loaded (max 8 devices)


<4>ide-floppy driver 0.99.newide


<6>usb.c: registered new driver usbdevfs


<6>usb.c: registered new driver hub


<6>usb-uhci.c: $Revision: 1.275 $ time 11:57:03 Sep  4 2002


<6>usb-uhci.c: High bandwidth mode enabled


<6>usb-uhci.c: v1.275:USB Universal Host Controller Interface driver


<6>usb.c: registered new driver hiddev


<6>usb.c: registered new driver hid


<6>hid-core.c: v1.8.1 Andreas Gal, Vojtech Pavlik <vojtech@suse.cz>


<6>hid-core.c: USB HID support drivers


<6>mice: PS/2 mouse device common for all mice


<6>md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27


<6>md: Autodetecting RAID arrays.


<6>md: autorun ...


<6>md: ... autorun DONE.


<6>NET4: Linux TCP/IP 1.0 for NET4.0


<6>IP Protocols: ICMP, UDP, TCP


<6>IP: routing cache hash table of 512 buckets, 4Kbytes


<6>TCP: Hash tables configured (established 2048 bind 4096)


<6>NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.


<5>RAMDISK: Compressed image found at block 0


<6>Freeing initrd memory: 538k freed


<4>VFS: Mounted root (ext2 filesystem).


<6>SCSI subsystem driver Revision: 1.00


<6>8139too Fast Ethernet driver 0.9.25


<7>divert: allocating divert_blk for eth0


<6>eth0: RealTek RTL8139 Fast Ethernet at 0xc285f000, 00:c0:26:ab:df:4b, IRQ 10


<7>eth0:  Identified 8139 chip type 'RTL-8139C'


<7>divert: allocating divert_blk for eth1


<6>eth1: RealTek RTL8139 Fast Ethernet at 0xc2861000, 00:80:48:17:e8:6e, IRQ 9


<7>eth1:  Identified 8139 chip type 'RTL-8139C'


<6>eth1: Setting 100mbps full-duplex based on auto-negotiated partner ability 
45e1.


<4>Unable to identify CD-ROM format.


<4>VFS: Can't find ext2 filesystem on dev loop(7,0).


<6>md: raid0 personality registered as nr 2


<6>md: raid1 personality registered as nr 3


<6>raid5: measuring checksumming speed


<4>   8regs     :   208.000 MB/sec


<4>   32regs    :   160.400 MB/sec


<4>   pII_mmx   :   290.000 MB/sec


<4>   p5_mmx    :   345.200 MB/sec


<4>raid5: using function: p5_mmx (345.200 MB/sec)


<6>md: raid5 personality registered as nr 4


<6>Journalled Block Device driver loaded


<6>LVM version 1.0.3(19/02/2002) module loaded


<6>parport0: PC-style at 0x378 [PCSPP(,...)]






/tmp/anaconda.log:


* 29912 kB are available


* modules to insert cramfs vfat sunrpc lockd nfs


* module(s) cramfs vfat not found


* inserted /tmp/sunrpc.o


* inserted /tmp/lockd.o


* inserted /tmp/nfs.o


* load module set done


* modules to insert ide-cd


* module(s) ide-cd not found


* load module set done


* modules to insert scsi_mod sd_mod sr_mod


* module(s) sr_mod not found


* inserted /tmp/scsi_mod.o


* inserted /tmp/sd_mod.o


* load module set done


* looking for usb controllers


* no usb controller found


* no firewire controller found


* probing for floppy devices


* first non-detached floppy is fd0


* system floppy device is fd0


* probing buses


* finished bus probing


* modules to insert mii 8139too


* inserted /tmp/mii.o


* inserted /tmp/8139too.o


* load module set done


* 53 keymaps are available


* loaded 9 keymap tables


* starting to STEP_URL


* 29912 kB are available


* reverse name lookup failed


* copying file to fd 14


* wrote 9436506 bytes


* transferring ftp://192.168.111.4//distr/RedHat/base/updates.img to a fd


* transferring ftp://192.168.111.4//distr/disc1/RedHat/base/updates.img to a fd


* transferring ftp://192.168.111.4//distr/RedHat/base/netstg1.img to a fd


* copied 8200192 bytes to (null)


* mntloop loop0 on /mnt/runtime as /tmp/ramfs/netstg1.img fd is 17


* got url 
ftp://mig:%64%6a%70%74%68%74%72%65%67%66%6b%62%63%6d@192.168.111.4//distr


* getting ready to spawn shell now


* modules to insert ide-cd


* module(s) ide-cd not found


* load module set done


* modules to insert sr_mod


* inserted /tmp/sr_mod.o


* load module set done


* probing buses


* finished bus probing


* modules to insert


* load module set done


* looking for video cards requiring agpgart module


* found video card controller unknown


* modules to insert raid0 raid1 xor raid5 msdos jbd ext3 reiserfs jfs xfs 
lvm-mod


* module(s) jfs xfs not found


* inserted /tmp/raid0.o


* inserted /tmp/raid1.o


* inserted /tmp/xor.o


* inserted /tmp/raid5.o


* inserted /tmp/msdos.o


* inserted /tmp/jbd.o


* inserted /tmp/ext3.o


* inserted /tmp/reiserfs.o


* inserted /tmp/lvm-mod.o


* load module set done


* loading parallel port drivers...


* modules to insert parport parport_pc


* inserted /tmp/parport.o


* inserted /tmp/parport_pc.o


* load module set done


* Running anaconda script /usr/bin/anaconda


* You do not have enough RAM to use the graphical installer.  Starting text 
mode.


* Probing for video card:   S3 Trio64 (generic)


* ddcprobe returned bogus values:


ID:   None


Name: None


HorizSync: None


VertSync:  None




* Probing for monitor type: Unable to probe


* Probing for mouse type:   Generic - 2 Button Mouse (serial)


* anaconda floppy device fd0






/tmp/netinfo:


DEVICE=eth1


ONBOOT=yes


BOOTPROTO=static


IPADDR=192.168.111.5


NETMASK=255.255.255.0


GATEWAY=192.168.111.1


BROADCAST=192.168.111.255
Comment 1 Michael Fulbright 2003-03-04 12:54:38 EST
Have you tried installing from a different FTP mirror - it appears there was a
corrupted download.
Comment 2 Michael Fulbright 2003-04-22 12:31:09 EDT
Closing due to inactivity. If you have new information to add please reopen the
issue report.

Note You need to log in before you can comment on or make changes to this bug.